function particles_teleport(pos)
   minetest.add_particlespawner({
      amount = 50,
      time = 0.4,
      minpos = {x=pos.x + 0.5, y=pos.y, z=pos.z + 0.5},
      maxpos = {x=pos.x - 0.5, y=pos.y, z=pos.z - 0.5},
      minvel = {x=0, y=5, z=0}, maxvel = {x=0, y=0, z=0},
      minacc = {x=0, y=5, z=0}, maxacc = {x=0, y=0, z=0},
      minexptime = 3, maxexptime = 5,
      minsize = 3, maxsize = 5,
      collisiondetection = false,
      texture = 'epic_poof_arrive.png'
   })
end

function particles_embers(pos)
   minetest.add_particlespawner({
      amount = 1,
      time = 2,
      minpos = {x=pos.x + .25, y=pos.y, z=pos.z + .25},
      maxpos = {x=pos.x - .25, y=pos.y, z=pos.z - .25},
      minvel = {x=-.15, y=.3, z=-.15}, maxvel = {x=.1,  y=.6,  z=.1},
      minacc = {x=-.05, y=.02, z=-.05}, maxacc = {x=.1, y=.3, z=.1},
      minexptime = 1, maxexptime = 5,
      minsize = 1, maxsize = 2,
      collisiondetection = false,
      texture = 'epic_embers.png',
      vertical = false,
      glow = 10,
   })
end

function particles_healing(pos)
   minetest.add_particlespawner({
      amount = 60,
      time = 3,
      minpos = {x=pos.x - 4, y=pos.y, z=pos.z - 4},
      maxpos = {x=pos.x + 4, y=pos.y + 1, z=pos.z + 4},
      minvel = {x=-.15, y=.3, z=-.15}, maxvel = {x=.1,  y=.3,  z=.1},
      minacc = {x=-.05, y=.02, z=-.05}, maxacc = {x=.3, y=.1, z=.3},
      minexptime = 1, maxexptime = 5,
      minsize = 3, maxsize = 10,
      collisiondetection = false,
      texture = 'epic_health_mist.png',
      vertical = true,
      glow = 5,
   })
end
